Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Class MoneyImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.axiom.units.MoneyImpl

All Implemented Interfaces
  Money, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Direct Known Subclasses:
  PriceImpl

Deprecated

    @Deprecated
    public class MoneyImpl

extends BelongingImpl
implements Money

See Also
  `Money`, `MoneyHome`, Serialized Form

Field Summary
`String` | `currency` Deprecated Currency specification of money.
`double` | `value` Deprecated Value of the money.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`MoneyImpl()` Deprecated

Method Summary
`int` | `compareTo(Object o)` Deprecated Compare this belonging to another
`String` | `getCurrency()` Deprecated Get the value of currency
`double` | `getValue()` Deprecated Get the value of value
`String` | `interfaceName()` Deprecated interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` Deprecated It is possible to call set-by-value with a superclass.
`void` | `setCurrency(String currency)` Deprecated Set the value of currency
`void` | `setValue(double value)` Deprecated Set the value of value
`Belonging` | `value()` Deprecated value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### value

    public double value

  Deprecated
  Value of the money.
  - Containment: By Value
  - Multiplicity: 1:1

### currency

    public String currency

  Deprecated
  Currency specification of money.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### MoneyImpl

    public MoneyImpl()

  Deprecated

Method Detail

### getValue

    public double getValue()

  Deprecated
  Get the value of value

  Specified by:
    `getValue` in interface `Money`
  Returns
    value.

### setValue

    public void setValue(double value)

  Deprecated
  Set the value of value

  Specified by:
    `setValue` in interface `Money`
  Parameters
    `value` - value to be added

### getCurrency

    public String getCurrency()

  Deprecated
  Get the value of currency

  Specified by:
    `getCurrency` in interface `Money`
  Returns
    currency.

### setCurrency

    public void setCurrency(String currency)
                     throws InvalidArgumentException

  Deprecated
  Set the value of currency

  Specified by:
    `setCurrency` in interface `Money`
  Parameters
    `currency` - currency to be added
  Throws
    `InvalidArgumentException`

### value

    public Belonging value()

  Deprecated
  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated
  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated
  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated
  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.